Bug 1187963

Summary: When triggering Package Refresh List on a salt-minion right after SP Migration of SUMA Client -> "minion unreachable" error
Product: [SUSE Manager] Public Beta SUSE Manager 4.2 Reporter: Alexei Tighineanu <alexei.tighineanu>
Component: SaltAssignee: Pablo Suárez Hernández <pablo.suarezhernandez>
Status: RESOLVED FIXED QA Contact: Nanuk Krinner <nkrinner>
Severity: Normal    
Priority: P2 - High CC: ebischoff, pablo.suarezhernandez
Version: 4.2 Release Candidate   
Target Milestone: 4.2 Alpha 1   
Hardware: Other   
OS: SLES 15   
Whiteboard: reproducer:c0
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexei Tighineanu 2021-07-02 12:42:43 UTC
This issue affects all the versions of SUMA (4.0 -> 4.2).
Because of this issue, clients might receive wrong information regarding the updated package list, and in order to have the real information - customers will have to re-trigger package list refresh after some seconds.
Comment 1 Pablo Suárez Hernández 2021-07-02 12:49:09 UTC
Some more notes for here:

We are currently facing this in our cucumber testsuite, during the SP migration scenario.

When a SP migration happens on SUMA, Salt packages are also updated as part of the migration, so this means the "salt-minion" service is going to be restarted just after the SP migration is done.

The current code of SUMA schedules a "Package Refresh" action as soon as it receives the Salt event with the results from the SP migration execution. The problem is that, just at that particular moment the Salt minion is probably being restarted so there are chances that the presence ping from Java is triggered while the minion is not yet fully restarted and accepting jobs.

When this happens, the "Package refresh action" fails mentioning the minion cannot be contacted.
Comment 2 Pablo Suárez Hernández 2021-07-05 10:58:31 UTC
This should be now fixed by the following PRs:

Uyuni: https://github.com/uyuni-project/uyuni/pull/3937

Manager-4.2: https://github.com/SUSE/spacewalk/pull/15291
Manager-4.1: https://github.com/SUSE/spacewalk/pull/15289
Manager-4.0: https://github.com/SUSE/spacewalk/pull/15290

(Scheduling the "Package List Refresh" action 30 seconds after the SP migration return event is processed by SUMA, and not just after receiving the event, so the minion has time to fully restart)

Closing as RESOLVED/FIXED. Thanks!
Comment 8 Swamp Workflow Management 2021-08-12 13:32:56 UTC
SUSE-RU-2021:2665-1: An update that has 31 recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1164192,1167586,1173692,1180650,1182769,1182817,1183151,1184659,1185131,1185679,1186025,1186287,1186310,1186502,1186650,1186744,1187065,1187397,1187441,1187451,1187593,1187621,1187660,1187787,1187813,1187963,1188073,1188170,1188289,1188297,1188395
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.2 (src):    release-notes-susemanager-4.2.1-3.6.1
SUSE Manager Retail Branch Server 4.2 (src):    release-notes-susemanager-proxy-4.2.1-3.6.1
SUSE Manager Proxy 4.2 (src):    release-notes-susemanager-proxy-4.2.1-3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2021-08-12 13:47:59 UTC
SUSE-RU-2021:2676-1: An update that has 32 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173692,1180650,1182769,1182817,1183151,1184659,1185131,1185679,1186025,1186287,1186310,1186502,1186650,1186744,1187065,1187397,1187441,1187451,1187593,1187621,1187660,1187787,1187813,1187963,1188073,1188170,1188289,1188297,1188395,1188900
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.2 (src):    cobbler-3.1.2-5.3.1, mgr-libmod-4.2.6-3.3.1, mgr-osad-4.2.6-2.3.1, mgr-push-4.2.3-2.3.1, prometheus-exporters-formula-1.0.2-3.3.1, prometheus-formula-0.4.1-3.3.1, py26-compat-salt-2016.11.10-7.14.6.1, py27-compat-salt-3000.3-7.7.5.1, rhnlib-4.2.4-4.3.1, spacecmd-4.2.11-4.3.1, spacewalk-admin-4.2.8-3.3.1, spacewalk-backend-4.2.15-4.3.1, spacewalk-branding-4.2.11-3.3.1, spacewalk-certs-tools-4.2.11-3.3.1, spacewalk-client-tools-4.2.12-4.3.1, spacewalk-java-4.2.27-3.8.1, spacewalk-reports-4.2.5-3.3.1, spacewalk-search-4.2.5-3.3.1, spacewalk-setup-4.2.7-3.3.1, spacewalk-utils-4.2.12-3.3.1, spacewalk-web-4.2.20-3.3.2, suseRegisterInfo-4.2.4-4.3.1, susemanager-4.2.21-3.3.1, susemanager-doc-indexes-4.2-12.3.1, susemanager-docs_en-4.2-12.3.1, susemanager-schema-4.2.16-3.3.1, susemanager-sls-4.2.15-3.3.1, susemanager-sync-data-4.2.7-3.3.1, susemanager-tftpsync-4.2.3-3.3.1, uyuni-common-libs-4.2.5-3.3.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2 (src):    mgr-cfg-4.2.3-2.3.1, mgr-custom-info-4.2.2-2.3.1, mgr-osad-4.2.6-2.3.1, mgr-push-4.2.3-2.3.1, rhnlib-4.2.4-4.3.1, spacecmd-4.2.11-4.3.1, spacewalk-backend-4.2.15-4.3.1, spacewalk-certs-tools-4.2.11-3.3.1, spacewalk-client-tools-4.2.12-4.3.1, spacewalk-oscap-4.2.2-4.3.1, spacewalk-proxy-4.2.6-3.3.1, spacewalk-proxy-installer-4.2.5-3.3.1, spacewalk-web-4.2.20-3.3.2, suseRegisterInfo-4.2.4-4.3.1, uyuni-common-libs-4.2.5-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-08-17 10:20:47 UTC
SUSE-RU-2021:2692-1: An update that has 20 recommended fixes can now be installed.

Category: recommended (low)
Bug References: 1164192,1167586,1173143,1181223,1182769,1182817,1186025,1186026,1186650,1187441,1187621,1187787,1187813,1187963,1188032,1188073,1188170,1188193,1188260,1188400
CVE References: 
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    release-notes-susemanager-4.1.10-3.58.1
SUSE Manager Retail Branch Server 4.1 (src):    release-notes-susemanager-proxy-4.1.10-3.41.1
SUSE Manager Proxy 4.1 (src):    release-notes-susemanager-proxy-4.1.10-3.41.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-08-17 10:24:22 UTC
SUSE-RU-2021:2693-1: An update that has 20 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1164192,1167586,1173143,1181223,1182769,1182817,1186025,1186026,1186650,1187441,1187621,1187787,1187813,1187963,1188032,1188073,1188170,1188193,1188260,1188400
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (src):    prometheus-exporters-formula-0.9.2-3.25.1, prometheus-formula-0.3.2-3.9.1, py26-compat-salt-2016.11.10-6.17.1, py27-compat-salt-3000.3-6.9.1, spacecmd-4.1.13-4.24.1, spacewalk-backend-4.1.27-4.38.1, spacewalk-branding-4.1.13-3.15.1, spacewalk-java-4.1.39-3.52.1, spacewalk-web-4.1.28-3.30.1, susemanager-4.1.28-3.31.1, susemanager-doc-indexes-4.1-11.40.1, susemanager-docs_en-4.1-11.40.1, susemanager-schema-4.1.22-3.33.1, susemanager-sls-4.1.30-3.48.1, susemanager-sync-data-4.1.15-3.26.1, uyuni-common-libs-4.1.9-3.12.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1 (src):    spacecmd-4.1.13-4.24.1, spacewalk-backend-4.1.27-4.38.1, spacewalk-proxy-installer-4.1.7-3.6.1, spacewalk-web-4.1.28-3.30.1, uyuni-common-libs-4.1.9-3.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.